<?php
$shopr_collection = $shopr_collection_slug = $shopr_title = $extra_excerpt = $post_location = '';
if (function_exists('rwmb_meta')) {
	
	$extra_excerpt = rwmb_meta( 'pipdig_meta_extra_excerpt' );
	
	$shopr_title = esc_attr(rwmb_meta('pipdig_meta_shopr_title'));
	$shopr_collection = rwmb_meta('pipdig_meta_shopr_collection');
	if (function_exists('is_shopr_active') && !empty($shopr_collection) && !is_wp_error($shopr_collection) && !empty($shopr_collection->slug)) {
		$shopr_collection_slug = $shopr_collection->slug;
	}
	
	$post_location = esc_html(rwmb_meta('pipdig_meta_geographic_location'));
	
}

$show_extra_excerpt = false;
if ($extra_excerpt || $shopr_collection_slug) {
	$show_extra_excerpt = true;
}

$post_img_1 = pipdig_catch_that_image(get_the_ID(), 'large', 'post_image_home');

$the_shape = absint(get_theme_mod('p_cats_shape'));
	
$shape = 'data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAWgAAAHgAQMAAACyyGUjAAAAA1BMVEUAAACnej3aAAAAAXRSTlMAQObYZgAAACxJREFUeNrtwTEBAAAAwiD7p7bGDmAAAAAAAAAAAAAAAAAAAAAAAAAAAAAkHVZAAAFam5MDAAAAAElFTkSuQmCC'; // portrait
	
if ($the_shape == 2) {
	$shape = 'data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAoAAAAFoAQMAAAD9/NgSAAAAA1BMVEUAAACnej3aAAAAAXRSTlMAQObYZgAAADJJREFUeNrtwQENAAAAwiD7p3Z7DmAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA5HHoAAHnxtRqAAAAAElFTkSuQmCC'; // landscape
} elseif ($the_shape == 3) {
	$shape = 'data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAfQAAAH0AQMAAADxGE3JAAAAA1BMVEUAAACnej3aAAAAAXRSTlMAQObYZgAAADVJREFUeNrtwTEBAAAAwiD7p/ZZDGAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAOX0AAAEidG8rAAAAAElFTkSuQmCC'; // square
}

?>
<div class="clearfix"></div>
<article id="post-<?php the_ID(); ?>" <?php post_class('p_7_post'); ?>>

	<div class="p_7_col_1">
	<?php if (($wp_query->current_post > 0) && get_theme_mod('pipdig_lazy')) { ?>
		<a href="<?php the_permalink() ?>" class="p3_cover_me pipdig_lazy" data-src="<?php echo $post_img_1; ?>">
	<?php } else { ?>
		<a href="<?php the_permalink() ?>" class="p3_cover_me" style="background-image:url(<?php echo $post_img_1; ?>);">
	<?php } ?>
			<img src="<?php echo $shape; ?>" alt="<?php the_title_attribute(); ?>" class="p3_invisible" data-pin-nopin="true"/>
		</a>
		<?php if (!get_theme_mod('hide_dates')) { ?>
			<div class="p_post_date">
				<div class="p_post_date_day"><?php echo get_the_date('d'); ?></div>
				<div class="p_post_date_month_year"><?php echo get_the_date('M Y'); ?></div>
			</div>
		<?php } ?>
	</div>
	
	<div class="p_7_col_2">
	
		<div id="p_content_<?php the_ID(); ?>" class="p_content_area p_7_content_area">

			<h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
			
			<div class="pipdig_meta">
				<?php if (!get_theme_mod('hide_cats')) { ?>
					<?php echo pipdig_main_cat(true); ?>
					<?php if ($post_location) { ?>&nbsp;|&nbsp;<?php } ?>
				<?php } ?>
				<?php if ($post_location) { ?>
					<i class="pipdigicons pipdigicons-map-marker-alt"></i> <?php echo $post_location; ?>
				<?php } ?>
			</div>
			
			<?php if ($show_extra_excerpt) { ?>
				<div class="">
					<?php
					if (get_theme_mod('excerpt_length_num', 35) !== 0) {
						the_excerpt();
					}
					?>
					<a class="read-more" href="<?php the_permalink(); ?>"><?php _e('View Post', 'pipdig-textdomain'); ?></a>
				</div>
				<div style="margin-top: 15px;">
				<?php
				if ($shopr_collection_slug) {
					echo do_shortcode('[shopr_shopthepost title="'.$shopr_title.'" collection="'.$shopr_collection_slug.'" force_carousel="true" size="small"]');
				} elseif ($extra_excerpt) {
					echo do_shortcode($extra_excerpt);
				}
				?>
				</div>
			<?php } else { ?>
			
				<?php
				if (get_theme_mod('excerpt_length_num', 35) !== 0) {
					the_excerpt();
				}
				?>
				<a class="read-more" href="<?php the_permalink(); ?>"><?php _e('View Post', 'pipdig-textdomain'); ?></a>
			<?php } ?>
			<div class="clearfix"></div>
		</div>
		
	</div>
	
	<div class="clearfix"></div>
	
	<?php p3_schema_publisher(); ?>
	
</article>

<div class="clearfix"></div>