<?php
$disclaimer = $post_location = $disclaimer_top = '';
if (function_exists('rwmb_meta')) {
	$post_location = rwmb_meta( 'pipdig_meta_geographic_location' );
	$disclaimer = rwmb_meta( 'pipdig_meta_post_disclaimer' );
	$disclaimer_top = rwmb_meta( 'pipdig_meta_post_disclaimer_top' );
}
$sig_image = get_theme_mod('post_signature_image');
$socialz_sig = get_theme_mod('show_socialz_signature');
?>

<article id="post-<?php the_ID(); ?>" <?php post_class('clearfix'); ?> >
	
	<header class="entry-header">
		<?php if ( 'post' == get_post_type() ) { ?>
			<div class="entry-meta">
				<span class="date-bar-white-bg">
				
					<span class="vcard author show-author">
						<span class="fn">
							<?php the_author_posts_link(); ?>
						</span>
						<span class="show-author"></span>
					</span>
					
					<?php if (!get_theme_mod('hide_dates')) { ?>
						<span class="entry-date updated">
							<time datetime="<?php echo get_the_date('Y-m'); ?>"><?php echo get_the_date(); ?></time>
						</span>
					<?php } ?>
					
					<?php if (!get_theme_mod('hide_cats')) { ?>
						<span class="main_cat"><?php echo pipdig_main_cat(); ?></span>
					<?php } ?>
					
					<?php if ($post_location) { ?>
						<span class="p_post_location"><i class="pipdigicons pipdigicons-map-marker-alt"></i><?php echo strip_tags($post_location); ?></span>
					<?php } ?>
					
				</span>
			</div>
		<?php } ?>
		<?php the_title('<h1 class="entry-title p_post_titles_font">', '</h1>'); ?>
	</header><!-- .entry-header -->

	<div class="clearfix entry-content">

		<?php do_action('p3_content_start'); ?>
		
		<?php if ($disclaimer && $disclaimer_top) { ?>
			<div class="disclaimer-text">
				<?php echo wp_kses_post($disclaimer); ?>
			</div>
		<?php } ?>
	
		<?php the_content(); ?>
		
		<?php if ($sig_image || $socialz_sig) { ?>
		<div class="pipdig-post-sig socialz nopin">
			<?php if ($sig_image) { ?>
				<img src="<?php echo esc_url($sig_image); ?>" data-pin-nopin="true" alt="" />
			<?php } ?>
			<?php if ($socialz_sig){ ?>
				<h6><?php _e('Follow:', 'pipdig-textdomain'); ?></h6>
				<?php echo p3_slicknav_brand(50, false, true); ?>
			<?php } ?>
		</div>
		<?php } ?>
		
		<?php do_action('p3_content_end'); ?>
		
	</div>

	<footer class="entry-meta entry-footer">
		<?php if ( 'post' == get_post_type() ) { ?>

			<?php if(function_exists('pipdig_p3_social_shares')){ pipdig_p3_social_shares(); } ?>

			<?php if(!get_theme_mod('hide_post_tags') && get_the_tag_list()){ ?>
				<span class="tags-links">
					<?php echo get_the_tag_list('<i class="pipdigicons pipdigicons-tags"></i> ',', ',''); ?>
				</span>
			<?php } ?>
			
			<?php if ($disclaimer) { ?>
				<div class="disclaimer-text">
					<?php echo wp_kses_post($disclaimer); ?>
				</div>
			<?php } ?>
				
			<?php if (!empty($post_location)) { ?>
			<br />
			<div class="location">
				<a href="http://maps.google.com/?q=<?php echo $post_location ?>" target="_blank" rel="nofollow"><i class="pipdigicons pipdigicons-map-marker-alt"></i>
				<?php echo strip_tags($post_location); ?>
				</a>
			</div>
			<?php } ?>
			
		<?php } ?>
	</footer>

</article><!-- #post-<?php the_ID(); ?> -->