<?php if (!defined('ABSPATH')) die;

add_filter('gutenberg_use_widgets_block_editor', '__return_false');
add_filter('use_widgets_block_editor', '__return_false');

add_filter('gutenberg_use_navigation_block_editor', '__return_false');
add_filter('use_navigation_block_editor', '__return_false');

// https://make.wordpress.org/core/2018/01/17/auto-formatting-of-author-bios-reverted-in-4-9-2/
add_filter('get_the_author_description', 'wptexturize');
add_filter('get_the_author_description', 'convert_chars');
add_filter('get_the_author_description', 'wpautop');
add_filter('get_the_author_description', 'shortcode_unautop');

add_filter('send_password_change_email', '__return_false');
add_filter('admin_email_check_interval', '__return_zero');
add_filter('auto_plugin_update_send_email', '__return_false');
add_filter('auto_theme_update_send_email', '__return_false');

add_filter('jetpack_just_in_time_msgs', '__return_false', 20);
add_filter('jetpack_show_promotions', '__return_false', 20);

function pipdig_disable_woocommerce_marketing() {
	add_filter('woocommerce_marketing_menu_items', '__return_empty_array');
	add_filter('woocommerce_helper_suppress_admin_notices', '__return_true');
}
add_action('plugins_loaded', 'pipdig_disable_woocommerce_marketing');

if (!function_exists('disable_emojis') && get_option('p3_emoji_override') != 1) {
function pipdig_disable_emojis() {
	remove_action('wp_head', 'print_emoji_detection_script', 7);
	remove_action('admin_print_scripts', 'print_emoji_detection_script');
	remove_action('wp_print_styles', 'print_emoji_styles');
	remove_action('admin_print_styles', 'print_emoji_styles');
}
add_action('init', 'pipdig_disable_emojis');
}

// https://make.wordpress.org/core/2020/02/19/enhancements-to-favicon-handling-in-wordpress-5-4/
if (function_exists('do_favicon')) {
function pipdig_remove_default_wp_faviconico() {
	if (has_site_icon()) {
		wp_redirect(get_site_icon_url(32));
	}
	die;
}
add_action('do_faviconico', 'pipdig_remove_default_wp_faviconico');
}

function p3_themes_top_link() {
	if (!isset($_GET['page'])) {
	?>
	<script>
	jQuery('.page-title-action').before('<a class="add-new-h2" href="https://www.pipdig.co/products/wordpress-themes?utm_source=wpmojo&utm_medium=wpmojo&utm_campaign=wpmojo" target="_blank" rel="noopener">pipdig.co Themes</a>');
	</script>
	<?php
	}
}
add_action('admin_footer-themes.php', 'p3_themes_top_link', 99);

function p3_themes_tab() {
	?>
	<script>
	jQuery('.filter-links').append('<li><a href="https://www.pipdig.co/products/wordpress-themes?utm_source=wpmojo&utm_medium=wpmojo&utm_campaign=wpmojo" target="_blank" rel="noopener">pipdig.co Themes</a></li>');
	</script>
	<?php
}
add_action('admin_footer-theme-install.php', 'p3_themes_tab', 99);

// Hide recommendation for child themes, not needed and causes confusion
function p3_theme_updates_are_ok() {
	?>
	<script>
	jQuery(document).ready(function($) {
		$('#wpbody').find('a[href="https://developer.wordpress.org/themes/advanced-topics/child-themes/"]').closest('p').hide();
	});
	</script>
	<?php
}
add_action('admin_footer-update-core.php', 'p3_theme_updates_are_ok', 99);

function pipdig_p3_footer_admin () {
	echo 'Powered by <a href="'.esc_url('https://www.wordpress.org/').'" target="_blank" rel="noopener">WordPress</a>. Enhanced by <a href="'.esc_url('https://www.pipdig.co/?utm_source=wp-dashboard&utm_medium=footer&utm_campaign=wp-dashboard').'" target="_blank" rel="noopener">pipdig</a>.';
}
add_filter('admin_footer_text', 'pipdig_p3_footer_admin', 99);

function p3_admin_scripts() {
	wp_enqueue_style('p3_dash', 'https://pipdigz.co.uk/p3/css/dash.css', array(), null);
}
add_action('admin_enqueue_scripts', 'p3_admin_scripts', 9999);

function pipdig_p3_unregister_widgets() {

	if (get_option('p3_widget_override')) {
		return;
	}

	unregister_widget('WP_Widget_Pages');
	unregister_widget('WP_Widget_Links');
	unregister_widget('WP_Widget_Meta');
	unregister_widget('WP_Widget_Recent_Posts');
	unregister_widget('WP_Widget_Recent_Comments');

	if (!get_option('p3_jetpack_override')) {
		unregister_widget('Jetpack_Upcoming_Events_Widget');
		unregister_widget('Jetpack_My_Community_Widget');
		unregister_widget('Jetpack_Internet_Defense_League_Widget');
		unregister_widget('WPCOM_Widget_Facebook_LikeBox');
		unregister_widget('Jetpack_MailChimp_Subscriber_Popup_Widget');
		unregister_widget('Jetpack_Twitter_Timeline_Widget');
		unregister_widget('Jetpack_Gallery_Widget');
		unregister_widget('Jetpack_RSS_Links_Widget');
		unregister_widget('wpcom_social_media_icons_widget');
		unregister_widget('Jetpack_Display_Posts_Widget');
		unregister_widget('Jetpack_Top_Posts_Widget');
		unregister_widget('Jetpack_Contact_Info_Widget');
		unregister_widget('Milestone_Widget');
		unregister_widget('Jetpack_Widget_Authors');
	}
	unregister_widget('Akismet_Widget');
	unregister_widget('SocialCountPlus');
	unregister_widget('GADWP_Frontend_Widget');

}
add_action('widgets_init', 'pipdig_p3_unregister_widgets', 11);

function pipdig_p3_pipdig_remove_dashboard_meta() {

	if (get_option('p3_widget_override')) {
		return;
	}

	remove_meta_box('dashboard_incoming_links', 'dashboard', 'normal');
	remove_meta_box('dashboard_plugins', 'dashboard', 'normal');
	remove_meta_box('dashboard_primary', 'dashboard', 'side');
	remove_meta_box('dashboard_secondary', 'dashboard', 'normal');
	remove_meta_box('dashboard_quick_press', 'dashboard', 'side');
	remove_meta_box('dashboard_recent_drafts', 'dashboard', 'side');
	remove_meta_box('dashboard_recent_comments', 'dashboard', 'normal');
	remove_meta_box('dashboard_site_health', 'dashboard', 'normal');
	
}
add_action('admin_init', 'pipdig_p3_pipdig_remove_dashboard_meta');


// Remove meta boxes on posts
function pipdig_p3_remove_default_metaboxes() {

	// posts:
	remove_meta_box('trackbacksdiv','post','normal');
	remove_meta_box('revisionsdiv','post','normal');

	// pages:
	remove_meta_box('trackbacksdiv','page','normal');
	remove_meta_box('revisionsdiv','page','normal');

}
add_action('admin_menu', 'pipdig_p3_remove_default_metaboxes');

remove_action('welcome_panel', 'wp_welcome_panel');

// news dashboard widget
function pipdig_p3_news_dashboard() {

	if (!current_user_can('manage_options')) {
		return;
	}

	// user asked to stop all messages
	if (absint(get_option('p3_stop_news')) == 1) {
		return;
	}

	// set transient for 2 weeks on new activation
	if (absint(get_option('p3_news_new_user_wait_set_2')) != 1) {
		set_transient('p3_news_new_user_wait', 1, 2 * WEEK_IN_SECONDS);
		update_option('p3_news_new_user_wait_set_2', 1);
		return;
	}

	// if new install, don't show
	if (get_transient('p3_news_new_user_wait')) {
		return;
	}

	$box_title = $box_id = $noshow = false;

	if (false === ($results = get_transient('p3_get_news'))) {
		$url = 'https://wpupdateserver.com/p3_news.json';
		$response = wp_remote_get($url);
		$results = '';
		if (!is_wp_error($response)) {
			$code = intval(json_decode($response['response']['code']));
			if ($code === 200) {
				$results = json_decode($response['body']);
			}
		}
		set_transient('p3_get_news', $results, DAY_IN_SECONDS);
	}

	if (is_array($results) && (count($results) > 0)) {
		if (!empty($results[0]->id)) {
			$box_id = esc_attr($results[0]->id);
		} else {
			return;
		}
		if (!empty($results[0]->title)) {
			$box_title = esc_attr($results[0]->title);
		} else {
			return;
		}
		if (!empty($results[0]->noshow)) {
			$noshow = esc_attr($results[0]->noshow);
		}
	}

	// don't show this message
	if ($noshow == get_option('pipdig_theme')) {
		return;
	} elseif (function_exists('is_shopr_active') && $noshow == 'shopr') {
		return;
	} elseif (function_exists('is_lookbook_active') && $noshow == 'lookbook') {
		return;
	}

	$stop_news_items = get_option('p3_stop_news_items');
	if (is_array($stop_news_items) && in_array($box_id, $stop_news_items)) {
		return;
	}

	if ($box_id && $box_title && !empty($results[0]->content)) {
		add_meta_box(
			$box_id,
			$box_title,
			'pipdig_p3_dashboard_news_func',
			'dashboard',
			'side',
			'high'
		);
	}

}
add_action('wp_dashboard_setup', 'pipdig_p3_news_dashboard');

function pipdig_p3_dashboard_news_func() {

	if (isset($_POST['p3_stop_the_news'])) {
		update_option('p3_stop_news', 1);
		return;
	}

	$json = '';
	
	if (false === ($results = get_transient('p3_get_news'))) {
		$url = 'https://wpupdateserver.com/p3_news.json';
		$response = wp_remote_retrieve_body(wp_remote_get($url));
		if ($response) {
			$json = json_decode($response);
		}
		set_transient('p3_get_news', $results, DAY_IN_SECONDS);
	}
	
	if (!empty($json[0]->content)) {
		echo wp_kses_post($json[0]->content);
	} else {
		return;
	}
	
	if (!empty($json[0]->id)) {
		$box_id = sanitize_text_field($json[0]->id);
	} else {
		return;
	}

	if (isset($_POST['p3_stop_the_news_item'])) {
		$stop_news_items = get_option('p3_stop_news_items');
		if (is_array($stop_news_items)) {
			array_push($stop_news_items, $box_id);
			update_option('p3_stop_news_items', $stop_news_items);
		} else {
			$stop_news_items = array($box_id);
			update_option('p3_stop_news_items', $stop_news_items);
		}
	}

	?>

	<div style="margin-top: 30px"></div>

	<form action="index.php" method="post">
		<?php wp_nonce_field('p3_stop_the_news_item_nonce'); ?>
		<input type="hidden" value="<?php echo $box_id; ?>" name="p3_stop_the_news_item" />
		<p class="submit">
			<input name="submit" class="button" value="<?php _e('Hide this message', 'p3'); ?>" type="submit" />
		</p>
	</form>
	<br />
	<form action="index.php" method="post">
		<?php wp_nonce_field('p3_stop_the_news_nonce'); ?>
		<input type="hidden" value="true" name="p3_stop_the_news" />
		<p class="submit">
			<input name="submit" class="button" value="<?php _e('Never show messages like this again', 'p3'); ?>" type="submit" />
		</p>
	</form>
	<?php
}

// All other dashboard widgets
function pipdig_p3_stats_dashboard() {

	if (!current_user_can('delete_others_pages')) {
		return;
	}

	add_meta_box(
		'pipdig_p3_dashboard_social_count',
		'pipdig - '.__('Your Followers', 'p3'),
		'pipdig_p3_dashboard_social_count_func',
		'dashboard',
		'side',
		'high'
	);

}
add_action('wp_dashboard_setup', 'pipdig_p3_stats_dashboard');

function pipdig_p3_dashboard_social_count_func() {

	if (!current_user_can('delete_others_pages')) {
		return;
	}
	
	pipdig_p3_scrapey_scrapes();
	
	$bloglovin = absint(get_option('p3_bloglovin_count'));
	$pinterest = absint(get_option('p3_pinterest_count'));
	$twitter = absint(get_option('p3_twitter_count'));
	$facebook = absint(get_option('p3_facebook_count'));
	$instagram = absint(get_option('p3_instagram_count'));
	$youtube = absint(get_option('p3_youtube_count'));
	$newsletter = absint(get_option('p3_newsletter_count'));
	$tiktok = absint(get_option('p3_tiktok_count'));
	$linkedin = absint(get_option('p3_linkedin_count'));
	$tumblr = absint(get_option('p3_tumblr_count'));
	$soundcloud = absint(get_option('p3_soundcloud_count'));

	$total = $twitter + $instagram + $facebook + $youtube + $bloglovin + $pinterest + $linkedin + $tumblr + $soundcloud + $newsletter + $tiktok;
	if ($total < 1) {
		?><p>This widget helps keep track of follower counts on social media. Update the numbers below any time, then click "Save changes".</p><?php
	} else {
	?>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/amcharts/3.21.15/amcharts.js"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/amcharts/3.21.15/pie.js"></script>
		
			<script>
			jQuery(document).ready(function($) {
				AmCharts.makeChart("p3_social_stats-chartdiv",
					{
						"type": "pie",
						"balloonText": "",
						"hoverAlpha": 0.8,
						"titleField": "channel",
						"valueField": "count",
						"fontSize": 11,
						"percentPrecision": 0,
						"dataProvider": [

					<?php if (!empty($twitter)) { ?>
						{channel: "Twitter", count: <?php echo $twitter; ?>},
					<?php } ?>

					<?php if (!empty($instagram)) { ?>
						{channel: "Instagram", count: <?php echo $instagram; ?>},
					<?php } ?>

					<?php if (!empty($pinterest)) { ?>
						{channel: "Pinterest", count: <?php echo $pinterest; ?>},
					<?php } ?>

					<?php if (!empty($bloglovin)) { ?>
						{channel: "Bloglovin", count: <?php echo $bloglovin; ?>},
					<?php } ?>

					<?php if (!empty($tiktok)) { ?>
						{channel: "TikTok", count: <?php echo $tiktok; ?>},
					<?php } ?>

					<?php if (!empty($soundcloud)) { ?>
						{channel: "Soundcloud", count: <?php echo $soundcloud; ?>},
					<?php } ?>

					<?php if (!empty($facebook)) { ?>
						{channel: "Facebook", count: <?php echo $facebook; ?>},
					<?php } ?>

					<?php if (!empty($youtube)) { ?>
						{channel: "YouTube", count: <?php echo $youtube; ?>},
					<?php } ?>

					<?php if (!empty($tumblr)) { ?>
						{channel: "Tumblr", count: <?php echo $tumblr; ?>},
					<?php } ?>

					<?php if (!empty($linkedin)) { ?>
						{channel: "LinkedIn", count: <?php echo $linkedin; ?>},
					<?php } ?>

					<?php if (!empty($newsletter)) { ?>
						{channel: "Newsletter", count: <?php echo $newsletter; ?>},
					<?php } ?>
					
						]
					}
				);
			});
			</script>

			<style scoped>
			.amcharts-chart-div a {
				font-size: 0!important;
			}
			</style>

			<div id="p3_social_stats-chartdiv" style="width: 100%; height: 300px;" ></div>
			
		<?php
	}
	
	?>
	<style scoped>
		.p3_social_stats > div {
			float: left;
			width: 50%;
			padding: 7px 0;
		}
		.p3_social_stats input {
			width: 100%;
		}
		#p3_social_stats-submit {
			margin-top: 15px;
		}
		#p3_social_stats-result {
			display: none;
			color: green;
			margin-top: 10px;
		}
	</style>
	<div class="p3_social_stats">
	
		<div>Instagram</div>
		<div><input type="text" value="<?php echo $instagram; ?>" id="p3_social_stats-input-instagram" name="p3_social_stats-input-instagram" oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*?)\..*/g, '$1');" /></div>
		
		<div>YouTube</div>
		<div><input type="text" value="<?php echo $youtube; ?>" id="p3_social_stats-input-youtube" name="p3_social_stats-input-youtube" oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*?)\..*/g, '$1');" /></div>
		
		<div>TikTok</div>
		<div><input type="text" value="<?php echo $tiktok; ?>" id="p3_social_stats-input-tiktok" name="p3_social_stats-input-tiktok" oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*?)\..*/g, '$1');" /></div>
		
		<div>Pinterest</div>
		<div><input type="text" value="<?php echo $pinterest; ?>" id="p3_social_stats-input-pinterest" name="p3_social_stats-input-pinterest" oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*?)\..*/g, '$1');" /></div>
		
		<div>Twitter</div>
		<div><input type="text" value="<?php echo $twitter; ?>" id="p3_social_stats-input-twitter" name="p3_social_stats-input-twitter" oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*?)\..*/g, '$1');" /></div>
		
		<div>Facebook</div>
		<div><input type="text" value="<?php echo $facebook; ?>" id="p3_social_stats-input-facebook" name="p3_social_stats-input-facebook" oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*?)\..*/g, '$1');" /></div>
		
		<div>Bloglovin'</div>
		<div><input type="text" value="<?php echo $bloglovin; ?>" id="p3_social_stats-input-bloglovin" name="p3_social_stats-input-bloglovin" oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*?)\..*/g, '$1');" /></div>
		
		<div>Soundcloud</div>
		<div><input type="text" value="<?php echo $soundcloud; ?>" id="p3_social_stats-input-soundcloud" name="p3_social_stats-input-soundcloud" oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*?)\..*/g, '$1');" /></div>
		
		<div>LinkedIn</div>
		<div><input type="text" value="<?php echo $linkedin; ?>" id="p3_social_stats-input-linkedin" name="p3_social_stats-input-linkedin" oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*?)\..*/g, '$1');" /></div>
		
		<div>Tumblr</div>
		<div><input type="text" value="<?php echo $tumblr; ?>" id="p3_social_stats-input-tumblr" name="p3_social_stats-input-tumblr" oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*?)\..*/g, '$1');" /></div>
		
		<div>Newsletter</div>
		<div><input type="text" value="<?php echo $newsletter; ?>" id="p3_social_stats-input-newsletter" name="p3_social_stats-input-newsletter" oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*?)\..*/g, '$1');" /></div>
		
		<div>Total</div>
		<div><input type="text" value="<?php echo number_format($total); ?>" id="p3_social_stats-input-total" name="p3_social_stats-input-total" readonly style="pointer-events: none" /></div>
		
	</div>
	<div style="clear:both"></div>
	
	<div class="button button-primary" id="p3_social_stats-submit">Save changes</div>
	
	<div id="p3_social_stats-result"><span class="dashicons dashicons-yes-alt"></span> Changes saved. reload the page to view new results.</div>
	
	<script>
	jQuery(document).ready(function($) {
		
		$('#p3_social_stats-submit').click(function() {
			
			var btn = $(this);
			btn.addClass('disabled').text('Saving, please wait...');
			
			var instagram = $('#p3_social_stats-input-instagram').val();
			var tiktok = $('#p3_social_stats-input-tiktok').val();
			var pinterest = $('#p3_social_stats-input-pinterest').val();
			var facebook = $('#p3_social_stats-input-facebook').val();
			var youtube = $('#p3_social_stats-input-youtube').val();
			var twitter = $('#p3_social_stats-input-twitter').val();
			var bloglovin = $('#p3_social_stats-input-bloglovin').val();
			var soundcloud = $('#p3_social_stats-input-soundcloud').val();
			var linkedin = $('#p3_social_stats-input-linkedin').val();
			var tumblr = $('#p3_social_stats-input-tumblr').val();
			var newsletter = $('#p3_social_stats-input-newsletter').val();
			
			var data = {
				'action': 'p3_social_stats_ajax',
				'sec': '<?php echo wp_create_nonce('p3_social_stats_nonce'); ?>',
				'p3_instagram': instagram,
				'p3_youtube': youtube,
				'p3_tiktok': tiktok,
				'p3_pinterest': pinterest,
				'p3_facebook': facebook,
				'p3_twitter': twitter,
				'p3_bloglovin': bloglovin,
				'p3_soundcloud': soundcloud,
				'p3_linkedin': linkedin,
				'p3_tumblr': tumblr,
				'p3_newsletter': newsletter,
			};
			
			$.post(ajaxurl, data, function(response) {
				if (response == 1) {
					$('#p3_social_stats-result').show();
					setTimeout(function(){
						$('#p3_social_stats-result').fadeOut();
						btn.removeClass('disabled').text('Save changes');
					}, 5000);
				}
			});
			
		});
		
	});
	</script>
	
	<?php
	
}

function p3_social_stats_dash_ajax() {

	check_ajax_referer('p3_social_stats_nonce', 'sec');
	
	$instagram = absint($_POST['p3_instagram']);
	$tiktok = absint($_POST['p3_tiktok']);
	$youtube = absint($_POST['p3_youtube']);
	$pinterest = absint($_POST['p3_pinterest']);
	$facebook = absint($_POST['p3_facebook']);
	$twitter = absint($_POST['p3_twitter']);
	$bloglovin = absint($_POST['p3_bloglovin']);
	$soundcloud = absint($_POST['p3_soundcloud']);
	$linkedin = absint($_POST['p3_linkedin']);
	$tumblr = absint($_POST['p3_tumblr']);
	$newsletter = absint($_POST['p3_newsletter']);
	
	if ($instagram) {
		update_option('p3_instagram_count', $instagram);
	} else {
		delete_option('p3_instagram_count');
	}
	
	if ($youtube) {
		update_option('p3_youtube_count', $youtube);
	} else {
		delete_option('p3_youtube_count');
	}
	
	if ($tiktok) {
		update_option('p3_tiktok_count', $tiktok);
	} else {
		delete_option('p3_tiktok_count');
	}
	
	if ($pinterest) {
		update_option('p3_pinterest_count', $pinterest);
	} else {
		delete_option('p3_pinterest_count');
	}
	
	if ($facebook) {
		update_option('p3_facebook_count', $facebook);
	} else {
		delete_option('p3_facebook_count');
	}
	
	if ($twitter) {
		update_option('p3_twitter_count', $twitter);
	} else {
		delete_option('p3_twitter_count');
	}
	
	if ($bloglovin) {
		update_option('p3_bloglovin_count', $bloglovin);
	} else {
		delete_option('p3_bloglovin_count');
	}
	
	if ($soundcloud) {
		update_option('p3_soundcloud_count', $soundcloud);
	} else {
		delete_option('p3_soundcloud_count');
	}
	
	if ($linkedin) {
		update_option('p3_linkedin_count', $linkedin);
	} else {
		delete_option('p3_linkedin_count');
	}
	
	if ($tumblr) {
		update_option('p3_tumblr_count', $tumblr);
	} else {
		delete_option('p3_tumblr_count');
	}
	
	if ($newsletter) {
		update_option('p3_newsletter_count', $newsletter);
	} else {
		delete_option('p3_newsletter_count');
	}
	
	echo '1';
	wp_die();
	
}
add_action('wp_ajax_p3_social_stats_ajax', 'p3_social_stats_dash_ajax');


// Enter username into the username field when accessing from support
function pipdig_login_quick_access() {
	if (!isset($_GET['p_user'])) {
		return;
	}
	?>
	<script>
	window.setInterval(function(){
		var p_user = '<?php echo sanitize_text_field($_GET['p_user']); ?>';
		if (document.getElementById("user_login").value.length < 1) {
			document.getElementById("user_login").value = p_user;
		}
	}, 600);
	</script>
	<?php
}
add_action('login_head', 'pipdig_login_quick_access');

if (!function_exists('pipdig_switch_notify')) {
function pipdig_switch_notify() {
	
	// set transient for 2 weeks on new activation
	if (absint(get_option('p3_news_new_user_wait_set_2')) != 1) {
		set_transient('p3_news_new_user_wait', 1, 2 * WEEK_IN_SECONDS);
		update_option('p3_news_new_user_wait_set_2', 1);
		return;
	}
	
	if (get_transient('p3_news_new_user_wait')) {
		return;
	}
	
	if (file_exists(WP_CONTENT_DIR.'/mu-plugins/sso.php')) {
		return;
	}
	
	if (get_option('pipdig_switch_notify_dismiss') || !current_user_can('manage_options')) {
		return;
	}
	
	global $pagenow;
	if ($pagenow != 'index.php' && $pagenow != 'themes.php' && $pagenow != 'plugins.php') {
		return;
	}
	
	if (isset($_GET['pipdig_switch_notify'])) {
		update_option('pipdig_switch_notify_dismiss', 1);
		?>
		<script>window.location.replace("<?php echo esc_url(admin_url($pagenow)); ?>");</script>
		<?php
		return;
	}
	
	?>
	<div class="notice notice-success" id="pipdig_switch_notify" style="position: relative">
		<h2>Hey there!</h2>
		<p>Looking for ways to save money on your website running costs?</p>
		<p>Bluehost offer a free migration service with all WordPress hosting plans. This means you could save a huge amount on your WordPress hosting costs. Definitely worth checking out!</p>
		<p style="margin: 15px 0 20px"><a href="https://go.pipdig.co/open.php?id=bh-free-migrations" target="_blank" rel="noopener noreferrer" class="button button-primary">Find out more <span aria-hidden="true" class="dashicons dashicons-external" style="line-height: 25px"></span></a> &nbsp;<a href="<?php echo esc_url(admin_url($pagenow.'?pipdig_switch_notify=1')); ?>" class="button">Not interested</a></p>
		<p style="font-size: 10px; position: absolute; bottom: 0; right: 10px;">This is a notification from your pipdig theme</p>
	</div>
	<?php
}
add_action('admin_notices', 'pipdig_switch_notify');
}