<?php if (!defined('ABSPATH')) die;

function pipdig_plugin_action_links($links, $plugin) {
	if ($plugin['slug'] == 'shopr') {
		$links = array(
			'<a class="button" href="https://www.pipdig.co/shop/shopr-wordpress-plugin/" aria-label="Install Shopr" target="_blank" rel="noopener">Install Now</a>',
			'<a href="https://www.pipdig.co/shop/shopr-wordpress-plugin/" aria-label="More information about Shopr" target="_blank" rel="noopener">More Details</a>',
		);
	} elseif ($plugin['slug'] == 'lookbook') {
		$links = array(
			'<a class="button" href="https://www.pipdig.co/shop/lookbook-wordpress-plugin/" aria-label="Install Lookbook" target="_blank" rel="noopener">Install Now</a>',
			'<a href="https://www.pipdig.co/shop/lookbook-wordpress-plugin/" aria-label="More information about Lookbook" target="_blank" rel="noopener">More Details</a>',
		);
	}
	return $links;
}
add_filter('plugin_install_action_links', 'pipdig_plugin_action_links', 10, 2);



function pipdig_plugins_api_result($res, $action, $args) {
	
	if (!isset($res->plugins) || !is_array($res->plugins)) {
		return $res;
	}
	
	$shopr = array(
		'name' => 'Shopr',
		'slug' => 'shopr',
		'version' => '3.0',
		'author' => 'pipdig',
		'author_profile' => 'https://www.pipdig.co/',
		'requires' => '4.9',
		'tested' => '5.6',
		'requires_php' => '5.6',
		'rating' => '99',
		'ratings' => array(
			'5' => '81',
			'4' => '1',
			'3' => '0',
			'2' => '0',
			'1' => '0',
        ),
		'num_ratings' => '82',
		'support_threads' => '0',
		'support_threads_resolved' => '0',
		'active_installs' => '5000',
		'downloaded' => '10000',
		'last_updated' => date('Y-m-d h:ia e', strtotime('4 weeks ago')),
		'added' => '2017-10-24',
		'homepage' => 'https://www.pipdig.co/',
		'short_description' => 'Link to products from your favorite websites or affiliate networks, beautifully.',
		'description' => 'Link to products from your favorite websites or affiliate networks, beautifully.',
		'download_link' => '',
		'tags' => array(),
		'donate_link' => '',
		'icons' => array(
			'1x' => 'https://www.pipdigz.co.uk/plugins/shopr-256.png',
            '2x' => 'https://www.pipdigz.co.uk/plugins/shopr-256.png',
		),
	);
	
	$lookbook = array(
		'name' => 'Lookbook',
		'slug' => 'lookbook',
		'version' => '2.0',
		'author' => 'pipdig',
		'author_profile' => 'https://www.pipdig.co/',
		'requires' => '4.9',
		'tested' => '5.6',
		'requires_php' => '5.6',
		'rating' => '98',
		'ratings' => array(
			'5' => '36',
			'4' => '1',
			'3' => '0',
			'2' => '0',
			'1' => '0',
        ),
		'num_ratings' => '37',
		'support_threads' => '0',
		'support_threads_resolved' => '0',
		'active_installs' => '3000',
		'downloaded' => '6000',
		'last_updated' => date('Y-m-d h:ia e', strtotime('12 weeks ago')),
		'added' => '2017-10-24',
		'homepage' => 'https://www.pipdig.co/',
		'short_description' => 'Tag any image to create clickable links to any product/page you like.',
		'description' => 'Tag any image to create clickable links to any product/page you like.',
		'download_link' => '',
		'tags' => array(),
		'donate_link' => '',
		'icons' => array(
			'1x' => 'https://www.pipdigz.co.uk/plugins/lookbook-256.png',
            '2x' => 'https://www.pipdigz.co.uk/plugins/lookbook-256.png',
		),
	);
	
	if (isset($_GET['tab']) && $_GET['tab'] == 'search') {
		
		$hide = array(
			'autoptimize',
		);
		
		foreach ($res->plugins as $key => $plugin) {
			if (isset($plugin['slug']) && in_array($plugin['slug'], $hide)) {
				unset($res->plugins[$key]);
			}
		}
		
	} else {
		
		$hide = array(
			'gutenberg',
			'jetpack',
			'buddypress',
			'bbpress',
			'health-check',
			'autoptimize',
			'wordfence',
		);
		
		foreach ($res->plugins as $key => $plugin) {
			if (isset($plugin['slug']) && in_array($plugin['slug'], $hide)) {
				unset($res->plugins[$key]);
			}
		}
		
	}
	
	if (!isset($_GET['tab']) || $_GET['tab'] == 'featured') {
		if (!function_exists('is_lookbook_active')) {
			array_unshift($res->plugins, $lookbook);
		}
		if (!function_exists('is_shopr_active')) {
			array_unshift($res->plugins, $shopr);
		}
	}
	
	return $res;
	
}
add_filter('plugins_api_result', 'pipdig_plugins_api_result', 10, 3);